org.apache.lucene.benchmark.byTask.utils

## Class Algorithm

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.utils.Algorithm

-     public class Algorithm
      extends java.lang.Object

  Test algorithm, as read from file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Algorithm(PerfRunData runData)` Read algorithm from file

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute this algorithm
    `java.util.ArrayList` | `extractTasks()` Expert: for test purposes, return all tasks participating in this algorithm.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Algorithm

          public Algorithm(PerfRunData runData)
                    throws java.lang.Exception

      Read algorithm from file
      Parameters:
        `runData` - perf-run-data used at running the tasks.
      Throws:
        `java.lang.Exception` - if errors while parsing the algorithm

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### execute

          public void execute()
                       throws java.lang.Exception

      Execute this algorithm
      Throws:
        `java.lang.Exception`

    - #### extractTasks

          public java.util.ArrayList extractTasks()

      Expert: for test purposes, return all tasks participating in this algorithm.
      Returns:
        all tasks participating in this algorithm.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.